Bug 190534 - Bugs in id and ps for SE Linux
Bugs in id and ps for SE Linux
Product: Fedora
Classification: Fedora
Component: busybox (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ivana Varekova
Depends On:
  Show dependency treegraph
Reported: 2006-05-03 08:07 EDT by Russell Coker
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-04 10:28:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
patch to fix this bug (1.96 KB, patch)
2006-05-03 08:07 EDT, Russell Coker
no flags Details | Diff

  None (edit)
Description Russell Coker 2006-05-03 08:07:25 EDT
Description of problem:

"id -Z" and "ps -Z" don't work,  The attached patch fixes them.

This patch however permits "id -uZ" to work in spite of the fact that I have 
used what appears to be the correct syntax of bb_opt_complementaly to prevent 
that combination.  In spite of this bug I believe that my patch should be 
accepted as it allows correct command-line parameters to be accepted 
(currently correct parameters give a usage message).

Also the bugs with id and ps are in RHEL4.  I will file a separate bug report 
for it.
Comment 1 Russell Coker 2006-05-03 08:07:25 EDT
Created attachment 128532 [details]
patch to fix this bug
Comment 2 Russell Coker 2006-05-03 08:15:43 EDT
One thing I forgot to mention is that my patch doesn't support translation of 
MLS/MCS sensitivity labels.  This means that on a default configuration of FC5 
or rawhide with my patch you will 
see "root:system_r:unconfined_t:s0-s0:c0.c255" as the output of "busybox 
id -Z" (the same as you currently see in "busybox id" output).  I don't 
consider this to be a bug, I think that the complexity of translating 
sensitivity levels is not what you desire when rescuing a system.
Comment 3 Ivana Varekova 2006-05-04 10:28:15 EDT
Thanks. This problem is fixed in the devel version (busybox-1.1.1-2). There are
differencies in busybox-1.1.1 and busybox-1.01 - so there was possibe to disable
-uZ combination of options. Could you please test this version. 

Note You need to log in before you can comment on or make changes to this bug.